package com.mortals.xhx.module.platform.web;

import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.mortals.framework.web.BaseCRUDJsonMappingController;
import com.mortals.xhx.module.platform.model.PlatformListenerEntity;
import com.mortals.xhx.module.platform.service.PlatformListenerService;

import java.util.Map;


/**
* <p>Title: 平台用户流程监听关系表</p>
* <p>Description: PlatformListenerController  </p>
* <p>Copyright: Copyright &reg;  </p>
* <p>Company: </p>
* @author zxfei
* @version 1.0.0
*/
@RestController
@RequestMapping("platform/listener")
public class PlatformListenerController extends BaseCRUDJsonBodyMappingController<PlatformListenerService,PlatformListenerEntity,Long> {

    public PlatformListenerController(){
        super.setFormClass(PlatformListenerForm.class);
        super.setModuleDesc("平台用户流程监听关系表");
    }

    @Override
    protected int doListAfter(PlatformListenerEntity query, Map<String, Object> model, Context context) throws AppException {
        model.put("result",model.get("data"));
        return super.doListAfter(query, model, context);
    }
}